skb_queue_tail
Prev | Socket Buffer Functions | Next

## Name

skb_queue_tail — queue a buffer at the list tail

## Synopsis

`void skb_queue_tail (` | struct sk_buff_head * | list,
| struct sk_buff * | newsk`)`;

## Arguments

`list`

  list to use

`newsk`

  buffer to queue

## Description

Queue a buffer at the tail of the list. This function takes the list lock and can be used safely with other locking &sk_buff functions safely.

A buffer cannot be placed on two lists at the same time.

Prev | Up | Next
skb_queue_head | Home | skb_unlink